Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.core
Class ConnectivityCheck

    java.lang.Object
      BroadcastReceiver
          com.blogspot.applications4android.comicreader.core.ConnectivityCheck

    public class ConnectivityCheck

extends BroadcastReceiver

Class responsible for checking the network connectivity

Constructor Summary
`ConnectivityCheck()`

Method Summary
`void` | `onReceive(Context context, Intent intent)` Called when a broadcast is made.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectivityCheck

    public ConnectivityCheck()

Method Detail

### onReceive

    public void onReceive(Context context,
                          Intent intent)

  Called when a broadcast is made.

  Parameters:
    `context` - the application context
    `intent` - intent containing the action occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD